; $Id: dm_set_button.pro,v 1.1 2003/09/04 21:13:21 qiuym Exp $
; this program sets a checked button for IDL5.6 or later, or change the button value for IDL5.5 or before
; parameter:
;   id:         button id
;   value:      1:tick on 0:tick off
; keywords:
;   onstring:   string name to be shown when value=1, for IDL5.5 or before
;   offstring:  string name to be shown when value=0, for IDL5.5 or before
pro dm_set_button,id,value,onstring=onstring,offstring=offstring
    if (n_elements(id) eq 0) or (n_elements(value) eq 0) then return
    if float(!version.release) ge 5.6 then $
       widget_control,id,set_button=value $
    else begin
       if (n_elements(onstring) eq 0) or (n_elements(offstring) eq 0) then return
       widget_control,id,set_value=(value eq 1)?onstring:offstring
    endelse
end