; $Id: dcssaverawdata_dave.pro,v 1.12 2004/02/20 16:15:15 azuah Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro DCSSaveRawData_DAVE,event
;************************************************************************************************
; This routine calls a separate routine (called "dcs_saverawdatafiles"), that saves
; DCS raw data files in the DAVE format.
;
compile_opt strictarr
;
widget_control,event.top,get_uvalue=statePtr
davePtr=(*statePtr).davePtr
;
dcs_sysvars,davePtr=davePtr
;
tvlct,r,g,b,/get
rgbptr=ptr_new({r:r,g:g,b:b})
;
; Default root file name.
defsysv,'!dcs_default_root','dcs_test',0
;
;widget_control,/hourglass
;
dcs_defineDaveStructure,davePtr=davePtr
;
;inputfile=file_which("dcs_multiple_messages.txt",/include_current_dir)
inputfile=!DAVE_AUXILIARY_DIR+'dcs_multiple_messages.txt'
;
dcs_read_multiple_messages,inputfile,message_str
;
logentry=""
;
dcs_saverawdatafiles,event.top,davePtr=davePtr,$
	message_str=message_str,logentry=logentry
;
dave_makeDavePtr,davePtr=davePtr
(*statePtr).davePtr=davePtr
;
tvlct,(*rgbptr).r,(*rgbptr).g,(*rgbptr).b
ptr_free,rgbptr
;
end
