;===============================================================================
;
; Richard Tumanjong Azuah
; NCNR, NIST
;
; NAME:_______________________
;   DaveDat::resetData
;
; PURPOSE:____________________
;   This function is used to 
;   ** set (initially) most of the DaveDat class variables or 
;   ** reset them (subsequestly).
;   The values to be set/reset are taken from the davePtr class variable
;   which, once set, would normally remain unaltered for the lifetime of
;   an object.
;
; INPUTS:_____________________
;    None.
;
; OUTPUTS:____________________
;     return value: 0 signifies failure and 1 success.
;
function DaveDat1D::resetData

self.offset=0.0

; call base class
if (not self->DaveDat::resetData()) then return, 0

return, 1

end
