; $Id: pan_qens.pro,v 1.4 2003/08/15 11:40:05 dimeo Exp $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function pan_qens,x,parms,$
                    	parmnames = parmnames, $
                    	canDraw = canDraw, $
                    	drawMessage = drawMessage, $
                    	resPtr = resPtr, $
                    	resLimit = rLimit, $
                    	_Extra = extra

if n_params() eq 0 then begin
  parmnames = ['total area','eisf','center','FWHM']
  return,-1
endif
drawMessage = strarr(4)
drawMessage[0:1] = ['Hold left mouse button down','and drag function centroid']
drawMessage[2:3] = ['Hold left mouse button down','and drag to change width']
area = parms[0]
eisf = parms[1]
cen = parms[2]
fwhm = parms[3]
gamma = 0.5*fwhm
;elastic = pan_delta(x,[1.0,cen],$
;                    	resPtr = resPtr,$
;                    	rlimit = rlimit)
qens = area*(1.0-eisf)*(gamma/!dpi)/((x-cen)^2+gamma^2)
;ycon = rmd_convolution(x,resPtr,qens,reslimit = rlimit)
;yout = area*(fraction*elastic+(1.0-fraction)*ycon)

yout = rmd_convol(x,resPtr,qens,pseudo_delta = [[area*eisf,cen]])

canDraw = 0

return,yout
end