; $Id: centertlb.pro,v 1.2 2004/03/31 19:34:55 dimeo Exp $
pro centertlb,tlb
; This procedure centers the entire widget (the
; top-level-base) on the screen (independent of
; the platform).
device,get_screen_size = screenSize
; Note that we need to test for whether this application is
; running on a two-monitor (side-by-side) system.
aspect_ratio = float(screenSize[0])/float(screenSize[1])
dual_monitor = aspect_ratio gt (4./3.)
geom = widget_info(tlb,/geometry)
if dual_monitor then begin
   widget_control,tlb,  xoff = (screenSize[0]/4)-(geom.scr_xsize/2),$
                        yoff = (screenSize[1]/2)-(geom.scr_ysize/2)
endif else begin
   widget_control,tlb,  xoff = (screenSize[0]/2)-(geom.scr_xsize/2),$
                        yoff = (screenSize[1]/2)-(geom.scr_ysize/2)
endelse
end