; $Id: launch_vmhelp.pro,v 1.2 2004/03/24 18:50:11 john Exp $
;************************************************************************************************
function launch_vmhelp,pdf_file,tlb = tlb
;************************************************************************************************
;
compile_opt strictarr
;
;
if (n_params() ne 1) then return,0
;
PDFReader=''
file=sourceroot()+"pdfreader.txt"
if (file_test(file)) then begin
	openr,unit,file,/get_lun
	readf,unit,PDFReader
	free_lun,unit
endif
;
if (PDFReader eq '' or PDFReader eq ' ') then begin
	if (n_elements(tlb) gt 0) then begin
		res=dialog_message("You must first define your pdf reader",/error,dialog_parent=tlb)
	endif else begin
		res=dialog_message("You must first define your pdf reader",/error)
	endelse
	return,2
endif
;
;
run_command = PDFReader + " " + pdf_file
;
if (strlowcase(!version.os_family) eq "windows") then begin
	spawn, run_command,/noshell,/nowait
	return,0
endif
if (strlowcase(!version.os_family) eq "unix") then begin
	spawn, run_command+" &"
	return,0
endif
if (strlowcase(!version.os_family) eq "macos") then begin
	spawn, run_command,/nowait
	return,0
endif
;
return,-1
end
