; Locate a dafault web browser on all supported platforms
; Should work for standard installations of:
; Linux, Irix, MacOS X and Windows
; RTA - Feb, 2004
function locate_web_browser
browser = ''
case strupcase(!version.os_family) of
    'UNIX': begin
        case strupcase(!version.os) of
            'DARWIN': begin     ; MacOS X
                browsers = ['/Applications/Safari.app/Contents/MacOS/Safari',$
                            '/Applications/Internet\ Explorer.app/Contents/MacOS/Internet\ Explorer']
                ind = 0
                while ((not strlen(strtrim(browser))) and (ind lt n_elements(browsers))) do begin
                    found = file_test(browsers[ind]) ; is file present?
                    if (found) then browser = browsers[ind]
                    ind = ind + 1
                endwhile
            end

            else: begin         ; Other unices
                browsers = ['mozilla','netscape','konqueror','opera','galeon']
                ind = 0
                while ((not strlen(strtrim(browser))) and ind lt n_elements(browsers)) do begin
                    cmd = 'which '+browsers[ind]
                    spawn, cmd,result ; is browser executable?
                    browser=result[0]
                    ind = ind + 1
                endwhile
            end
        endcase
    end

    'WINDOWS': begin
        browsers = ['C:\Program Files\Internet Explorer\Iexplore.exe']
        ind = 0
        while ((not strlen(strtrim(browser))) and (ind lt n_elements(browsers))) do begin
            found = file_test(browsers[ind]) ; is file present?
            if (found) then browser = browsers[ind]
            ind = ind + 1
        endwhile
    end

    else:

endcase

return, browser

end
