; $Id: dm_load_dave.pro,v 1.3 2003/09/12 19:09:03 qiuym Exp $
; load dave file
pro dcs_mslice::dm_load_dave
    file=dialog_pickfile(dialog_parent=self.tlb,/read,filter='*.dave')
    openr,unit,file,/get_lun,error=error
    if error ne 0 then begin
       ok=dialog_message("Can't read file "+file+'.',dialog_parent=self.tlb)
       return
    endif
    free_lun,unit
    restore,file
    this=dm_locate_datastrptr(davePtr) ;get the data structure pointer
    qty     =(*((*this).commonStr).histPtr).qty
    err     =(*((*this).commonStr).histPtr).err
    ei      =!dcs_hsq2mn/((*(*this).specificPtr).ch_wl)^2
    e       =*(*(*this).specificPtr).energy_propsPtr
    two_theta=*(*(*this).specificPtr).angle_propsPtr
    dtwo_theta=fltarr(n_elements(two_theta))
    psi     =fltarr(n_elements(two_theta))
    dpsi    =fltarr(n_elements(two_theta))
    heap_free,davePtr
    ;save data and det info in pointers
    ptr_free,self.detPosPtr,self.dataStrPtr
    self.detPosPtr=ptr_new({two_theta:temporary(two_theta),dtwo_theta:temporary(dtwo_theta),psi:temporary(psi),dpsi:temporary(dpsi)})
    self.dataStrPtr=ptr_new({qty:temporary(qty),err:temporary(err),e:temporary(e),ei:ei})
    self.is_dcs=0
    self.bgrate=!values.f_nan
    ptr_free,self.bgdata,self.eff,self.mask
    mkcnBut =   widget_info(self.tlb,find_by_uname='mkcnBut')
    mkloBut =   widget_info(self.tlb,find_by_uname='mkloBut')
    mkupBut =   widget_info(self.tlb,find_by_uname='mkupBut')
    dm_toggle_menubut,mkcnBut,[mkcnBut,mkloBut,mkupBut] ;disable mask up,low,bottom function
    self->my_widget_control,'bgclBut',sensitive=0
    self->my_widget_control,'vdclBut',sensitive=0
    self->my_widget_control,'mkclBut',sensitive=0
end