; $Id: dm_plot_slice.pro,v 1.18.2.2 2004/05/28 17:52:01 azuah Exp $
; plot the slice
pro dcs_mslice::dm_plot_slice,surfplot=surfplot
    if (not ptr_valid(self.projStrPtr)) or (not ptr_valid(self.dataStrPtr)) or self.error then begin
       ok=dialog_message('Please load data and calculate projection first.',dialog_parent=self.tlb)
       return
    endif
    ;select data
    self->dm_choose_slicedata,xdat=xdat,ydat=ydat,zdat=zdat,xtit=xtit,ytit=ytit,zran=zran,zmin=zmin
    ztit = self.intn_lab
    ilog = self.log_yn
    ;plot
    obj_name = 'dm_plot'
    if not obj_valid(self.current) then begin
       self.current=obj_new(obj_name,xdat,ydat,zdat,xtit=xtit,ytit=ytit,ztit=ztit,/no_copy,ilog=ilog,$
         group_leader=self.tlb,xran=self.disp_hran,yran=self.disp_vran,shading=self.disp_shading,$
         coltable=self.disp_color,zran=zran,title=self.titl_lab,zmin=zmin,surfplot=surfplot,/usepolygon,/hidelegend)
    endif else begin
        self.current->getproperty,keep=keep
       if keep eq 1 then begin
         self.current=obj_new(obj_name,group_leader=self.tlb)
       endif
       self.current->setproperty,xdat=xdat,ydat=ydat,zdat=zdat,xtit=xtit,ytit=ytit,ztit=ztit,/no_copy,$
         xran=self.disp_hran,yran=self.disp_vran,shading=self.disp_shading,ilog=ilog,$
         coltable=self.disp_color,zran=zran,title=self.titl_lab,zmin=zmin,surfplot=surfplot,/usepolygon,/nodraw,/hidelegend
    endelse
    self->dm_add_plotwindow,type=0,title=self.titl_lab
    ;add powder lines in diffuse scattering mode
    if ptr_valid(self.powd_line) then begin
        tmp = size(*self.powd_line)
        tmp = tmp[tmp[0]]
        for i=0,tmp-1 do $
            self.current->add_plot,(*self.powd_line)[*,0,i],(*self.powd_line)[*,1,i],psym='no symbol',color='white',$
                linestyle='solid',layer=i
    endif
    self.current->draw
end