; $Id: dm_set_droplist.pro,v 1.2.2.2 2004/05/28 17:52:01 azuah Exp $
; this program sets values for widget_droplist(IDL5.5 or before), or for widget_combobox(IDL5.6 or later)
; parameter:
;   parent:     the widget ID of the parent for the new button widget
; keyword:
;   select:     =set_combobox_select keyword for combobox, =set_droplist_select for droplist
pro dm_set_droplist,id,select=select,_ref_extra=_extra
    if (n_elements(id) eq 0) or (n_elements(select) eq 0) then return
    type = widget_info(id,/type)
    if type eq 12  then $       ;widget_combobox
        widget_control,id,set_combobox_select=select,_extra=_extra $
    else if type eq 8 then $    ;widget_droplist
        widget_control,id,set_droplist_select=select,_extra=_extra
end
