; $Id: dm_write_spe.pro,v 1.5.2.2 2004/05/28 17:52:01 azuah Exp $
; write into a spe file xdat[nx],ydat[ny],zdat,err[nx,ny]
pro dm_write_spe,funit,xdat,ydat,zdat,err;twotheta,emean,qty,err
    sformat = '(8(g10.3))'
    sformat1= '(8(g10.5))'

    nx  = n_elements(xdat)
    ny  = n_elements(ydat)
    printf,funit,nx,ny,format='(2i5)'

    ;write phi grid
    printf,funit,'### Phi Grid'
    printf,funit,[xdat,2.0*xdat[nx-1]-xdat[nx-2]],format=sformat1

    ;write energy grid
    printf,funit,'### Energy Grid'
    printf,funit,[ydat,2.0*ydat[ny-1]-ydat[ny-2]],format=sformat

    ;write S(ndet,nenergy) and Err(ndet,nenergy)
    for i=0L,nx-1L do begin
       printf,funit,'### S(Phi,w)'
       printf,funit,zdat[i,*],format=sformat
       printf,funit,'### Errors'
       printf,funit,err[i,*],format=sformat
    endfor
    free_lun,funit
end