; $Id: davedat2d__print.pro,v 1.2 2003/01/14 15:04:18 azuah Exp $
;===============================================================================
;
; Richard Tumanjong Azuah
; NCNR, NIST
;
; NAME:_______________________
;   DaveDat2D::print
;
; PURPOSE:____________________
;   Simple utility method which can be used during development to
;   print a summary of a DaveDat1D object.
;
; INPUTS:_____________________
;   None.
pro DaveDat2D::print

print,'_________________________________________________________________________'
print,'### DaveDat2D object: brief info'
print,''
fstr1 = '(A,T30,A)'
fstr2 = '(A,T30,G10.4)'
fstr3 = '(A,T30,I5)' 
if ptr_valid(self.yvPtr) then print,format=fstr3,'Yaxis -- length: ',n_elements(*self.yvPtr)
print,format=fstr1,'Yaxis -- label: ',self.ylabel
print,format=fstr1,'Yaxis -- type: ',self.ytype
print,format=fstr1,'Yaxis -- units: ',self.yunits
print,''
print,'The inherited component of DaveDat2D follows...'
self->DaveDat::print

end
