; $Id: pan_autolorentzian.pro,v 1.1 2003/10/24 00:17:44 dimeo Exp $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function pan_autolorentzian,x,parms,$
                     parmnames = parmnames, $
                     canDraw = canDraw, $
                     drawMessage = drawMessage, $
                     _Extra = extra

if n_params() eq 0 then begin
  parmnames = ['area','center','FWHM','bg']
  return,-1
endif
fwhm = parms[2]
gam = 0.5*fwhm
area = parms[0]
cen = parms[1]
bg = parms[3]
yout = ((area*gam/!dpi)/((x-cen)^2+gam^2)) + bg
canDraw = 0
return,yout
end