; $Id: pan_delta.pro,v 1.4 2003/09/24 11:42:20 dimeo Exp $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function pan_delta,x,parms,$
                     parmnames = parmnames, $
                     resPtr = resPtr,$
                     rlimit = rlimit, $
                     canDraw = canDraw, $
                     drawMessage = drawMessage, $
                     _Extra = extra

canDraw = 1
if n_elements(extra) eq 0 then extra = {dummy:0L}
if n_params() eq 0 then begin
  parmnames = ['area','center']
  return,-1
endif

drawMessage = strarr(4)
drawMessage[0:1] = ['Hold left mouse button down','and drag function centroid']
drawMessage[2:3] = ['Click the left mouse button to finish','']

if n_elements(resPtr) eq 0 then return,-1

area = parms[0]
cen = parms[1]
pd = [area,cen]

if n_elements(resPtr) ne 0 then begin
  ytest = (1.0*(*resPtr))
  yout = rmd_convol(x,resPtr,pseudo_delta = [[pd]], $
         reslimit = rlimit)
;  yout = rmd_convolution(x,resPtr,ytest,pseudo_delta = pd, $
;         reslimit = rlimit)
endif else begin
  yout = pan_gaussian(x,[area,cen,1d-1])
endelse

return,yout
end