; getpaths.pro
;
; This routine sets the path for executing the programs
; in DAVE.  The root directory is the only one that is
; platform dependent since all directories under it are
; fixed by design.
;
cd,current=daveDir
delimiter = ':'
; The rest of the statements are platform independent
!path = !path +delimiter+expand_path("+"+daveDir)
;
; get the current date and save it in auxiliary/builddate.txt
; 
cmd = 'date +"%b %d %Y %T" > auxiliary/builddate.txt'
spawn, cmd, /sh
print, 'current date registered in auxiliary/builddate.txt'
cmd = 'cvs ci -m "" auxiliary/builddate.txt'
spawn, cmd, /sh

