; $Id: dtas_get_plot_info.pro,v 1.1 2004/02/04 20:16:14 dimeo Exp $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro dtas_get_plot_info_event,event
widget_control,event.top,get_uvalue = pstate
uname = widget_info(event.id,/uname)
case uname of
'DISMISS':  $
   begin
      group_id = widget_info(event.top,find_by_uname = 'PLOT_INFO_CHOICES')
      widget_control,group_id,get_value = choices
      (*pstate).header = choices[0]
      (*pstate).filenames = choices[1]
      (*pstate).treatment = choices[2]
      widget_control,event.top,/destroy
   end
'PLOT_INFO_CHOICES': $
   begin
      widget_control,event.id,get_value = choices
      (*pstate).header = choices[0]
      (*pstate).filenames = choices[1]
      (*pstate).treatment = choices[2]
   end
else:
endcase
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
function dtas_get_plot_info,  group_leader = group_leader, choices = choices
if n_elements(choices) eq 0 then choices = [0,0,0]
title = 'Output plot information'
tlb = widget_base(group_leader = group_leader,/tlb_frame_attr,title = title,  $
   /modal,/col)
names = ['Include header','Include file names','Include data treatment']
void = cw_bgroup(tlb,names,/return_index,uname = 'PLOT_INFO_CHOICES', $
   /nonexclusive,set_value = choices)
void = widget_button(tlb,value = 'Accept',uname = 'DISMISS')

centertlb,tlb
widget_control,tlb,/realize
state = {header:0,filenames:0,treatment:0}
pstate = ptr_new(state)
widget_control,tlb,set_uvalue = pstate

reg_name = 'dtas_get_plot_info'
xmanager,reg_name,tlb
info = (*pstate)
ptr_free,pstate
return,info
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
