; $Id: tas_sel_n_curves.pro,v 1.4 2004/03/11 20:54:44 dimeo Exp $
; +
;
; -
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro tsn_send_info,event
widget_control,event.top,get_uvalue = pstate
slider_id = widget_info(event.top,find_by_uname = 'CURVE_SLIDER')
widget_control,slider_id,get_value = val & ncurves = val[0]
notify_ids = (*pstate).notify_ids
if (*pstate).notify_ids[0] eq 0L then return
info =   {tsn_event,             $
          id:notify_ids[0],      $
          top:notify_ids[1],     $
          handler:0L,            $
          wid:event.top,         $
          ncurves:ncurves        }
if widget_info(notify_ids[0],/valid_id) then begin
  widget_control,notify_ids[0],send_event = info
endif
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro tsn_cleanup,tlb
widget_control,tlb,get_uvalue = pstate
ptr_free,pstate
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro tsn_event,event
widget_control,event.top,get_uvalue = pstate
uname = widget_info(event.id,/uname)
case uname of
'DISMISS': widget_control,event.top,/destroy
'CURVE_SLIDER': $
   begin
      tsn_send_info,event
   end
else:
endcase
end
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pro tas_sel_n_curves,      group_leader = group_leader,  $
                           notify_ids = notify_ids,      $
                           ncurves = ncurves,            $
                           curve_name = curve_name

if n_elements(register_name) eq 0 then $
   register_name = 'tas_sel_ncurves'
if xregistered(register_name) then return
event_handler = 'tsn_event' & cleanup = 'tsn_cleanup'
; Check for which parameters were passed in
if n_elements(group_leader) eq 0 then group_leader = 0L
if n_elements(notify_ids) eq 0 then notify_ids = [0L,0L]
if n_elements(ncurves) eq 0 then ncruves = 1
if n_elements(curve_name) eq 0 then curve_name = 'Gaussians'
; Widget definition module
title = 'Number of '+curve_name
tlb = widget_base(group_leader = group_leader,/col, title = title,   $
   tlb_frame_attr = 9,xsize = 200)
slider_title = '# of '+curve_name

slider = rmd_arrows(tlb,value = 1,minimum = 1,maximum = 10,   $
   uname = 'CURVE_SLIDER', title = slider_title,xsize = 3, $
   /align_center)


;slider = cw_field_arrows(tlb,value = 1,min = 1,max = 10,   $
;   uname = 'CURVE_SLIDER', title = slider_title,xsize = 3)

;slider = widget_slider(tlb,value = 1,min = 1,max = 10,   $
;   uname = 'CURVE_SLIDER', title = slider_title,xsize = 250)
rowbase = widget_base(tlb,/row)
void = widget_button(rowbase,value = 'Dismiss',uname = 'DISMISS')

centertlb,tlb

widget_control,tlb,/realize
state =  {  notify_ids:notify_ids   }
pstate = ptr_new(state,/no_copy)
widget_control,tlb,set_uvalue = pstate

; Send a pseudo-event up so that just launching this slider
; causes a fit attempt with one curve.
pevent = {event,id:slider,top:tlb,handler:0L}
tsn_send_info,pevent

xmanager,register_name,tlb,event_handler = event_handler,/no_block, $
   cleanup = cleanup
end